SYSTEMD-MSTACK(1)

BEZEICHNUNG
systemd-mstack, mount.mstack - Auffindbare Mstack-Dateisystemabbilder (DDIs)

ÜBERSICHT

systemd-mstack [OPTIONEN…] ABBILD

systemd-mstack [OPTIONEN…] [--mount] ABBILD PFAD

systemd-mstack [OPTIONEN…] [--umount] PFAD

BESCHREIBUNG

systemd-mstack ist ein Werkzeug zur Untersuchung von und Interaktion mit .mstack/-Einhänge-Stapelverzeichnissen, wie diese in systemd.mstack(7) beschrieben sind. Es unterstützt drei verschiedene Aktionen:

    1. Die allgemeinen Einhängestapelinformationen zeigen, einschließlich aller beschriebenen »overlayfs«-Schichten und Bind-Einhängungen.

    2. Einen Einhängestapel in ein lokales Verzeichnis einhängen.

    3. Einen Einhängestapel an einem lokalen Verzeichnis aushängen.

Der Befehl systemd-mstack kann als mount.mstack aufgerufen werden. In diesem Fall implementiert er die Schnittstelle für externe Hilfsprogramme von mount(8). Dies stellt sicher, dass Einhängestapel, die zu systemd-mstack kompatibel sind, direkt durch mount und fstab(5) eingehängt werden können. Details hierzu finden Sie weiter unten.

Anstelle des Abbildpfades kann ein versioniertes Verzeichnis ».v/« angegeben werden, siehe systemd.v(7) zu Details.

BEFEHLE

Falls keiner der nachfolgend aufgeführten Befehlszeilenschalter übergeben wird, wird der Einhängestapel geöffnet und allgemeine Informationen über ihn angezeigt, einschließlich der Liste aller definierten Schichten.

--mount, -m
    Hängt den angegebenen Einhängestapel in das angegebene Verzeichnis ein.

    Um einen derart eingehängten Einhängestapel auszuhängen, verwenden Sie die Aktion --umount.

    Beachten Sie, dass diese Funktionalität auch in mount(8) mittels Befehlen wie mount -t mstack meinstapel.mstack Zielverzeichnis/ sowie in fstab(5) verfügbar ist. Details hierzu finden Sie weiter unten.

    Hinzugefügt in Version 260.

-M
    Dies ist ein Kürzel für --mount --mkdir.

    Hinzugefügt in Version 260.

--umount, -u
    Hängt einen Einhängestapel aus dem angegebenen Verzeichnis aus. Dieser Befehl erwartet ein Argument: ein Verzeichnis, in dem der Einhängestapel eingehängt wurde.

    Alle eingehängten Einhängungen werden rekursiv ausgehängt.

    Hinzugefügt in Version 260.

-U
    Dies ist ein Kürzel für --umount --rmdir.

    Hinzugefügt in Version 260.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

OPTIONEN

Die folgenden Optionen werden verstanden:

--read-only, -r
    Agiert im schreibgeschützten Modus. Standardmäßig wird --mount schreibbare Einhängepunkte etablieren. Falls diese Option angegeben ist, werden sie stattdessen im schreibgeschützten Modus etabliert.

    Hinzugefügt in Version 260.

--mkdir
    Wird dies mit --mount kombiniert, dann wird das Verzeichnis, an dem der Einhängestapel eingehängt werden soll, erstellt, falls es fehlt. Beachten Sie, dass das Verzeichnis nicht automatisch entfernt wird, wenn der Einhängestapel wieder ausgehängt wird.

    Hinzugefügt in Version 260.

--rmdir
    Wird dies mit --umount kombiniert, dann wird das angegebene Verzeichnis, an dem der Einhängestapel eingehängt ist, nach dem Aushängen entfernt.

    Hinzugefügt in Version 260.

--image-policy=Richtlinie
    Akzeptiert gemäß systemd.image-policy(7) eine Abbildrichtlinienzeichenkette als Argument. Die Richtlinie wird bei Aktionen auf dem mittels --image= angegebenen Plattenabbild durchgesetzt, siehe oben. Falls nicht angegeben, ist die Vorgabe die Richtlinie »*«, d.h. alle erkannten Dateisysteme im Abbild werden verwandt.

--image-filter=Filter
    Akzeptiert eine Abbildfilterzeichenkette als Argument, gemäß systemd.image-filter(7). Beim Agieren auf dem mittels --image= angegebenen Plattenabbild wird dieser Filter berücksichtigt, wie oben beschrieben. Falls nicht angegeben, erfolgt keine Filterung.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--json=MODUS
    Zeigt die Ausgabe als JSON formatiert. Erwartet entweder »short« (für die kürzest mögliche Ausgabe ohne unnötigen Leerraum oder Zeilenumbrüche), »pretty« (für eine schönere Version der gleichen Ausgabe, mit Einzügen und Zeilenumbrüchen) oder »off« (um die JSON-Ausgabe auszuschalten, was die Vorgabe ist).

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

AUFRUF ALS /SBIN/MOUNT.MSTACK

Das Programm systemd-mstack kann ein Symlink auf /sbin/mount.mstack sein. Wird es darüber aufgerufen, dann implementiert es die Schnittstelle für externe Hilfsprogramme von mount(8) für das (Pseudo-)Dateisystem vom Typ »mstack«. Das bedeutet, dass entsprechende Einhängestapelverzeichnisse direkt mittels

    # mount -t mstack meinstack.mstack Zielverz/

auf eine Art eingehängt werden können, die größtenteils gleichbedeutend mit Folgendem ist:

    # systemd-mstack --mount meinstack.mstack Zielverz/

Beachten Sie, dass ein Einhängestapel später mit umount -R Zielverz/ als rekursive Aktion ausgehängt werden sollte, da er mehrere Einhängepunkte enthalten kann.

Diese Funktionalität ist insbesondere zum automatischen Einhängen von Einhängestapeln beim Systemstart über einfache Einträge in /etc/fstab nützlich. Beispiel:

    /Pfad/zu/meinstack.nspawn /images/meinstack/ mstack defaults 0 0

Beim Aufruf auf diese Art entsprechen die Optionen »ro«, »rw« den entsprechenden oben aufgeführten Optionen (d.h. --read-only).

SIEHE AUCH

systemd(1), systemd.mstack(7), systemd-nspawn(1), systemd.exec(5), mount(8), umount(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).